# xarray.CFTimeIndex.join

`CFTimeIndex.``join`(other, how='left', level=None, return_indexers=False, sort=False)

  Compute join_index and indexers to conform data structures to the new index.

  Parameters:

  - other (Index) –
  - how ({'left', 'right', 'inner', 'outer'}) –
  - level (int or level name, default None) –
  - return_indexers (boolean, default False) –
  - sort (boolean, default False) –

    Sort the join keys lexicographically in the result Index. If False, the order of the join keys depends on the join type (how keyword)

    New in version 0.20.0.

  Returns: |
  Return type: | join_index, (left_indexer, right_indexer)